module.exports = {
  //ToDateBrazilianConcatenate -- DDMMYYYY
  ToDateBrazilianConcatenate: function (date) {
    //date -> Date to be formmated
    //Return Format: String
    var returnDate = '';
    var day = '';
    var month = '';
    var year = '';
    try {
      //Just for safety
      if (date.getDate() <= 0) {
        throw new Error('Invalid date')
      }
      //Day
      if (date.getDate() < 10) {
        day = '0' + date.getDate().toString();
      }
      else {
        day = date.getDate().toString();
      }
      //Month
      if (date.getMonth() < 10) {
        month = '0' + date.getMonth().toString();
      }
      else {
        month = date.getMonth().toString();
      }
      //Year
      year = (date.getYear() + 1900).toString();
      returnDate = day + month + year;
      return returnDate;
    } catch (error) {
      console.log(error)
    }
  },

  //ToDateBrazilianConcatenate -- MMDDYYYY
  ToDateAmericanConcatenate: function (date) {
    //date -> Date to be formmated
    //Return Format: String
    var returnDate = '';
    var day = '';
    var month = '';
    var year = '';
    try {
      //Just for safety
      if (date.getDate() <= 0) {
        throw new Error('Invalid date')
      }
      //Day
      if (date.getDate() < 10) {
        day = '0' + date.getDate().toString();
      }
      else {
        day = date.getDate().toString();
      }
      //Month
      if (date.getMonth() < 10) {
        month = '0' + date.getMonth().toString();
      }
      else {
        month = date.getMonth().toString();
      }
      //Year
      year = (date.getYear() + 1900).toString();
      returnDate = month + day + year;
      return returnDate;
    } catch (error) {
      console.log(error)
    }
  },

  //ToDateBrazilianConcatenate -- YYYYMMDD
  ToDateEuropeanConcatenate: function (date) {
    //date -> Date to be formmated
    //Return Format: String
    var returnDate = '';
    var day = '';
    var month = '';
    var year = '';
    try {
      //Just for safety
      if (date.getDate() <= 0) {
        throw new Error('Invalid date')
      }
      //Day
      if (date.getDate() < 10) {
        day = '0' + date.getDate().toString();
      }
      else {
        day = date.getDate().toString();
      }
      //Month
      if (date.getMonth() < 10) {
        month = '0' + date.getMonth().toString();
      }
      else {
        month = date.getMonth().toString();
      }
      //Year
      year = (date.getYear() + 1900).toString();
      returnDate = year + month + day;
      return returnDate;
    } catch (error) {
      console.log(error)
    }
  }
}